summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Müller <dev-zero@gentoo.org>2006-08-12 11:22:47 +0000
committerTiziano Müller <dev-zero@gentoo.org>2006-08-12 11:22:47 +0000
commitd85c130d3a31d7d19735ea16d396fc251f6ce4c7 (patch)
treebf32ac559e0f18174ec9b9c388df73c31fa650a4 /x11-libs/pdcurses
parentlatin1 and nextaw USE-flags for x11-libs/pdcurses added (diff)
downloadsunrise-d85c130d3a31d7d19735ea16d396fc251f6ce4c7.tar.gz
sunrise-d85c130d3a31d7d19735ea16d396fc251f6ce4c7.tar.bz2
sunrise-d85c130d3a31d7d19735ea16d396fc251f6ce4c7.zip
x11-libs/pdcurses: New ebuild for bug #94414
svn path=/sunrise/; revision=863
Diffstat (limited to 'x11-libs/pdcurses')
-rw-r--r--x11-libs/pdcurses/ChangeLog8
-rw-r--r--x11-libs/pdcurses/Manifest20
-rw-r--r--x11-libs/pdcurses/files/digest-pdcurses-2.83
-rw-r--r--x11-libs/pdcurses/files/pdcurses-2.8-configure.patch54
-rw-r--r--x11-libs/pdcurses/metadata.xml5
-rw-r--r--x11-libs/pdcurses/pdcurses-2.8.ebuild93
6 files changed, 183 insertions, 0 deletions
diff --git a/x11-libs/pdcurses/ChangeLog b/x11-libs/pdcurses/ChangeLog
new file mode 100644
index 000000000..e21b8f313
--- /dev/null
+++ b/x11-libs/pdcurses/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for x11-libs/pdcurses
+# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 12 Aug 2006; Tiziano Müller <gentoo@dev-zero.ch> +pdcurses-2.8.ebuild,
+ +files/pdcurses-2.8-configure.patch, +metadata.xml:
+ New ebuild for bug #94414
+
diff --git a/x11-libs/pdcurses/Manifest b/x11-libs/pdcurses/Manifest
new file mode 100644
index 000000000..98cdfd5a5
--- /dev/null
+++ b/x11-libs/pdcurses/Manifest
@@ -0,0 +1,20 @@
+AUX pdcurses-2.8-configure.patch 1379 RMD160 f9ac5eca0c4626284a37e07ef7778acddb7869dc SHA1 a16922aef14efb9e89180c7bd1d1aa1be1d0fbf2 SHA256 114acd433bab0d1afa82aed8717b92bae732d3448891ca28c94b03bd50ff7132
+MD5 bdd59a754c5dc4c933e1544044196782 files/pdcurses-2.8-configure.patch 1379
+RMD160 f9ac5eca0c4626284a37e07ef7778acddb7869dc files/pdcurses-2.8-configure.patch 1379
+SHA256 114acd433bab0d1afa82aed8717b92bae732d3448891ca28c94b03bd50ff7132 files/pdcurses-2.8-configure.patch 1379
+DIST PDCurses-2.8.tar.gz 325074 RMD160 7976ad40a13bdcc2e72e7d4bf396d7f8d5a237b8 SHA1 219b9028616af9cad50ba25d41b3673690d005b1 SHA256 e288ac5191de78c31635372f7cd31676561f5a9588258f41dac771ee9248b095
+EBUILD pdcurses-2.8.ebuild 1946 RMD160 e097d8a80283b3f0164be050d2df99e5a9068380 SHA1 531beb95370a3f14b69559e7ca243f02a996f356 SHA256 a47bc6cd8b0781d85e8434d7445b440481e46fb4185490d99b1c9932e23724bb
+MD5 669b4c8fce7bb105fec1753703a9005c pdcurses-2.8.ebuild 1946
+RMD160 e097d8a80283b3f0164be050d2df99e5a9068380 pdcurses-2.8.ebuild 1946
+SHA256 a47bc6cd8b0781d85e8434d7445b440481e46fb4185490d99b1c9932e23724bb pdcurses-2.8.ebuild 1946
+MISC ChangeLog 275 RMD160 55826dd7a87dfe48a513badf7b8ecd85fa9ca102 SHA1 cee49c926c0d1a7429f398674b7c0c10c6208ef8 SHA256 e67971d55f63f7e894d8597de48ff9a4df90a3cb978dfaf6d8aaed1427220caf
+MD5 01c12e101b033a7feaa160c4b313e0cd ChangeLog 275
+RMD160 55826dd7a87dfe48a513badf7b8ecd85fa9ca102 ChangeLog 275
+SHA256 e67971d55f63f7e894d8597de48ff9a4df90a3cb978dfaf6d8aaed1427220caf ChangeLog 275
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
+MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
+RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
+SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42 metadata.xml 170
+MD5 eeffa887c5d85b99b42062d49370932d files/digest-pdcurses-2.8 238
+RMD160 3aea0a74699f1a6fd1784289ebc29b9b5371eac1 files/digest-pdcurses-2.8 238
+SHA256 22dd6b7087a0ac7ebec8bbd7dde9258b97c3a13a8750d3384cdc2486309be019 files/digest-pdcurses-2.8 238
diff --git a/x11-libs/pdcurses/files/digest-pdcurses-2.8 b/x11-libs/pdcurses/files/digest-pdcurses-2.8
new file mode 100644
index 000000000..30c436e00
--- /dev/null
+++ b/x11-libs/pdcurses/files/digest-pdcurses-2.8
@@ -0,0 +1,3 @@
+MD5 cd3a67c94cfa6686678058f18bf87982 PDCurses-2.8.tar.gz 325074
+RMD160 7976ad40a13bdcc2e72e7d4bf396d7f8d5a237b8 PDCurses-2.8.tar.gz 325074
+SHA256 e288ac5191de78c31635372f7cd31676561f5a9588258f41dac771ee9248b095 PDCurses-2.8.tar.gz 325074
diff --git a/x11-libs/pdcurses/files/pdcurses-2.8-configure.patch b/x11-libs/pdcurses/files/pdcurses-2.8-configure.patch
new file mode 100644
index 000000000..2e050efbc
--- /dev/null
+++ b/x11-libs/pdcurses/files/pdcurses-2.8-configure.patch
@@ -0,0 +1,54 @@
+--- configure.ac.orig 2006-08-12 10:48:37.000000000 +0200
++++ configure.ac 2006-08-12 10:49:05.000000000 +0200
+@@ -6,8 +6,7 @@
+
+ dnl ---------------------- check for C compiler -----------------
+ dnl Checks for one of the C compilers below - change if yours not there.
+-CC_LIST="gcc acc cc c89"
+-MH_PROG_CC
++AC_PROG_CC
+ AC_ISC_POSIX
+
+ AC_CONFIG_HEADER(config.h)
+@@ -131,7 +130,7 @@
+ if test "$with_debug" = yes; then
+ CFLAGS="${CFLAGS} -Wall"
+ else
+- CFLAGS="-O2 -Wall -fomit-frame-pointer"
++ CFLAGS="${CFLAGS}"
+ fi
+ fi
+ if test "$on_qnx" = yes; then
+@@ -150,7 +149,7 @@
+ [with_latin1=no],
+ )
+ if test "$with_latin1" = yes; then
+- AC_DEFINE(INCLUDE_LATIN1)
++ AC_DEFINE([INCLUDE_LATIN1], [1], [Define if --with-latin1 is set])
+ fi
+
+ dnl ----------------- check for Purify support -----------------------
+@@ -175,7 +174,7 @@
+ [with_xaw3d=no],
+ )
+ if test "$with_xaw3d" = yes; then
+- AC_DEFINE(USE_XAW3D)
++ AC_DEFINE([USE_XAW3D], [1], [Use Xaw3d])
+ fi
+
+ dnl ---------------------- check for neXtaw library -------------------
+@@ -186,7 +185,7 @@
+ [with_nextaw=no],
+ )
+ if test "$with_nextaw" = yes; then
+- AC_DEFINE(USE_NEXTAW)
++ AC_DEFINE([USE_NEXTAW], [1], [Use neXtaw])
+ fi
+
+ dnl --------------- Check how to make shared libraries -------------------
+@@ -204,3 +203,5 @@
+ *)
+ ;;
+ esac
++
++AC_DEFINE([PDC_MAX_SIGNALS], [], [PDC_MAX_SIGNALS])
diff --git a/x11-libs/pdcurses/metadata.xml b/x11-libs/pdcurses/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/x11-libs/pdcurses/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/x11-libs/pdcurses/pdcurses-2.8.ebuild b/x11-libs/pdcurses/pdcurses-2.8.ebuild
new file mode 100644
index 000000000..e35176f1a
--- /dev/null
+++ b/x11-libs/pdcurses/pdcurses-2.8.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit autotools eutils
+
+KEYWORDS="~x86"
+
+MY_P=${P/pdc/PDC}
+
+DESCRIPTION="A public domain curses library for DOS, OS/2, Win32 and X11"
+HOMEPAGE="http://pdcurses.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+LICENSE="public-domain GPL-2"
+SLOT="0"
+IUSE="debug doc examples latin1 nextaw Xaw3d"
+
+DEPEND="x11-libs/libX11
+ x11-libs/libXmu
+ x11-libs/libXt
+ x11-libs/libXpm
+ x11-proto/xproto
+ nextaw? ( x11-libs/neXtaw )
+ Xaw3d? ( x11-libs/Xaw3d )
+ !nextaw? ( !Xaw3d? ( x11-libs/libXaw ) )"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+ if use Xaw3d && use nextaw ; then
+ elog "You have both Xaw3d and nextaw USE-flags set,"
+ elog "the package will choose one of them to link against."
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}/${P}-configure.patch"
+
+ # Fixing -jX problems:
+ sed -i \
+ -e 's/\(PDCurses.man:\)/\1 manext/' \
+ tools/Makefile.in || die "sed failed"
+
+ # Fixing soname problem:
+ sed -i \
+ -e "s/\(\$(LD_RXLIB1)\)/\1 -Wl,-soname,libXcurses.so.${PV%.*}/" \
+ pdcurses/Makefile.in || die "sed failed"
+
+ eautoreconf
+}
+
+src_compile() {
+
+ if ! use examples ; then
+ sed -i \
+ -e 's/\(^all[ \t]::[\t a-z]*\) demos/\1/' \
+ -e '/demos/d' \
+ Makefile.in || die "sed failed"
+ fi
+
+ if ! use doc ; then
+ sed -i \
+ -e '/tools/d' \
+ Makefile.in || die "sed failed"
+ fi
+
+ econf \
+ $(use_with Xaw3d xaw3d) \
+ $(use_with nextaw) \
+ $(use_enable debug) \
+ $(use_enable latin1) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc HISTORY README TODO doc/*
+
+ if use doc ; then
+ dodoc tools/PDCurses.man
+ fi
+ if use examples ; then
+ insinto /usr/share/${PN}/examples
+ cd demos
+ doins *.{h,c} $(sed -e 's/^DEMOS[ \t]*=\ \(.*\)/\1/p' -e 'd' Makefile.in)
+ fi
+
+}